Package com.collibra.dgc.core.api.dto.instance.relation

# Class ChangeRelationRequest.Builder

Object
Builder

Enclosing class:
  `ChangeRelationRequest`

public static class ChangeRelationRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeRelationRequest`
  `build()`
  `ChangeRelationRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ChangeRelationRequest.Builder`
  `endingDate(Long endingDate)`
  Deprecated.
  To be removed without replacement.
  `ChangeRelationRequest.Builder`
  `id(UUID id)`
  Required. The ID of the relation that will be changed.
  `ChangeRelationRequest.Builder`
  `sourceId(UUID sourceId)`
  The ID of the new source for the relation.
  `ChangeRelationRequest.Builder`
  `startingDate(Long startingDate)`
  Deprecated.
  To be removed without replacement.
  `ChangeRelationRequest.Builder`
  `targetId(UUID targetId)`
  The ID of the new target for the relation.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ChangeRelationRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ChangeRelationRequest.builder()`
    Clone method for this Builder.

  - ### id

    public ChangeRelationRequest.Builder id(UUID id)
    Required. The ID of the relation that will be changed.

    Silently ignored if the ID is provided as path parameter of the request.

    Returns:
      `this`.

  - ### sourceId

    public ChangeRelationRequest.Builder sourceId(UUID sourceId)
    The ID of the new source for the relation.
    Returns:
      `this`.

  - ### targetId

    public ChangeRelationRequest.Builder targetId(UUID targetId)
    The ID of the new target for the relation.
    Returns:
      `this`.

  - ### startingDate

    @Deprecated public ChangeRelationRequest.Builder startingDate(Long startingDate)
    Deprecated.
    To be removed without replacement.
    The new starting date for the relation.
    Returns:
      `this`.

  - ### endingDate

    @Deprecated public ChangeRelationRequest.Builder endingDate(Long endingDate)
    Deprecated.
    To be removed without replacement.
    The new ending date for the relation.
    Returns:
      `this`.

  - ### build

    public ChangeRelationRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`